2011-2014
Khronos Group
gl_PointCoord
3G

# gl_PointCoord

contains the coordinate of a fragment within a point

## Declaration

in mediump
vec2 `gl_PointCoord`

## Description

`gl_PointCoord` is a fragment language input variable that contains the two-dimensional coordinates indicating where within a point primitive the current fragment is located. If the current primitive is not a point, then values read from `gl_PointCoord` are undefined.

`gl_PointCoord.s` ranges from 0.0 to 1.0 across the point horizontally from left to right. `gl_PointCoord.t` varies from 0.0 to 1.0 vertically from top to bottom.

## Version Support

gl_PointCoord

## See Also

gl_FragCoord, gl_FragDepth

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.